OpenStack Compute (Nova)

links in responses show incorrect URIs

Reported by Gabe Westmaas on 2012-01-31
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Medium
Naveed Massjouni

Bug Description

Right now the bookmark, self, and alternate (in the case of images) links in nova are based on the request context, rather than the actual URI.

This can expose infrastructure and is useless to the customer, e.g.:

"links": [
                {
                    "href": "http://127.0.0.1:8775/v1.1/tenantid/images/imageid",
                    "rel": "self"
                },
                {
                    "href": "http://127.0.0.1:8775/tenantid/images/imageid",
                    "rel": "bookmark"
                },
                {
                    "href": "http://10.10.10.15:9292/tenantid/images/imageid",
                    "rel": "alternate",
                    "type": "application/vnd.openstack.image"
                }
            ]

The server portion of the URI should be a URI that is actually useful to the user.

Gabe Westmaas (westmaas) wrote :

Just to be clear, this applies to all other resources as well.

Changed in nova:
assignee: nobody → Philip Knouff (philip-knouff)
Changed in nova:
status: New → In Progress
Brian Waldon (bcwaldon) on 2012-02-06
Changed in nova:
importance: Undecided → Medium
milestone: none → essex-4

Reviewed: https://review.openstack.org/3762
Committed: http://github.com/openstack/nova/commit/91b3d687d77887c59f4e31fdd457ff6b22168dc7
Submitter: Jenkins
Branch: master

commit 91b3d687d77887c59f4e31fdd457ff6b22168dc7
Author: Philip Knouff <email address hidden>
Date: Thu Feb 2 16:22:16 2012 -0500

    Adds flags for href prefixes

    bug #924090

    Change-Id: I66358b3f526a5d356e11281ee32ce80e7b74d474

Changed in nova:
status: In Progress → Fix Committed
Gabe Westmaas (westmaas) wrote :

This fix is close, but not quite complete. This patch still ignores the protocol portion of the configuration. For example, if https is specified it still goes back to http.

Changed in nova:
status: Fix Committed → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/4452

Changed in nova:
assignee: Philip Knouff (philip-knouff) → Naveed Massjouni (ironcamel)

Reviewed: https://review.openstack.org/4452
Committed: http://github.com/openstack/nova/commit/2d2ebd676a81a0443824990a710eda4df72b9987
Submitter: Jenkins
Branch: master

commit 2d2ebd676a81a0443824990a710eda4df72b9987
Author: Naveed Massjouni <email address hidden>
Date: Thu Feb 23 17:53:14 2012 +0000

    Making link prefixes support https.

    bug: 924090
    Change-Id: Ie474b6c4412c8621e538ddfba0f2cef4d681c2a5

Changed in nova:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2012-02-29
Changed in nova:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in nova:
milestone: essex-4 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers